org.apache.cassandra.cql3.statements

## Class BatchStatement.Parsed

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.BatchStatement.Parsed

Enclosing class:
  BatchStatement

    public static class BatchStatement.Parsed
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`Parsed(BatchStatement.Type type, Attributes.Raw attrs, java.util.List<ModificationStatement.Parsed> parsedStatements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParsedStatement.Prepared` `prepare()`
`void` `prepareKeyspace(ClientState state)`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parsed

    public Parsed(BatchStatement.Type type,
                  Attributes.Raw attrs,
                  java.util.List<ModificationStatement.Parsed> parsedStatements)

### Method Detail

#### prepareKeyspace

    public void prepareKeyspace(ClientState state)
                         throws InvalidRequestException

Overrides:
  `prepareKeyspace` in class `CFStatement`
Throws:
  `InvalidRequestException`

#### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `InvalidRequestException`